import { Router } from '@angular/router';
import { Actions } from '@ngrx/effects';
import { HttpErrorResponse } from '@angular/common/http';
import { ToastrService } from 'ngx-toastr';
import { Store } from '@ngrx/store';
import { MatDialog } from '@angular/material/dialog';
import { LogInSuccess, LogInFailure, SignUpFailure, SignUpSuccess, ChangePasswordSuccess, ChangePasswordFailure, LoadUserInformationSuccess, LoadUserInformationFailure, SendPasswordSuccess, SendPasswordFailure, SendActivationCodeSuccess, SendActivationCodeFailure, ResetAuthState } from './actions';
import { User } from '../models/user.models';
import { AuthService } from '../services/auth.service';
import { AuthModuleConfig } from '../token';
import { AuthState } from './reducer';
export declare class AuthEffects {
    private resetActions;
    private traductions;
    private platformId;
    private actions;
    private authService;
    private router;
    private toastService;
    private dialog;
    private store;
    private dialogRef;
    constructor(resetActions: any[], traductions: AuthModuleConfig['traductions'], platformId: any, actions: Actions, authService: AuthService, router: Router, toastService: ToastrService, dialog: MatDialog, store: Store<AuthState>);
    OpenSignUpDialog$: import("rxjs").Observable<never>;
    SignUp$: import("rxjs").Observable<SignUpSuccess | SignUpFailure>;
    SignUpSuccess$: import("rxjs").Observable<never>;
    SignUpFailure$: import("rxjs").Observable<HttpErrorResponse>;
    SendActivationCode$: import("rxjs").Observable<SendActivationCodeSuccess | SendActivationCodeFailure>;
    SendActivationCodeSuccess$: import("rxjs").Observable<ResetAuthState>;
    SendActivationCodeFailure$: import("rxjs").Observable<SendActivationCodeFailure>;
    LogIn$: import("rxjs").Observable<LogInSuccess | LogInFailure>;
    LogInSuccess$: import("rxjs").Observable<[LogInSuccess, User]>;
    LogInFailure$: import("rxjs").Observable<LogInFailure>;
    LogOut$: import("rxjs").Observable<any>;
    LoadUserInformation$: import("rxjs").Observable<LoadUserInformationSuccess | LoadUserInformationFailure>;
    ChangePassword$: import("rxjs").Observable<ChangePasswordSuccess | ChangePasswordFailure>;
    ChangePasswordSuccess$: import("rxjs").Observable<never>;
    ChangePasswordFailure$: import("rxjs").Observable<ChangePasswordFailure>;
    OpenForgottenPasswordDialog$: import("rxjs").Observable<never>;
    SendPassword$: import("rxjs").Observable<SendPasswordSuccess | SendPasswordFailure>;
    SendPasswordSuccess$: import("rxjs").Observable<never>;
    SendPasswordFailure$: import("rxjs").Observable<never>;
}
